---
setup:
- skip:
    features:
    - "headers"
    - "allowed_warnings_regex"
---
Capabilities API:
- requires:
    test_runner_features:
    - "capabilities"
    capabilities:
    - method: "GET"
      path: "/_capabilities"
      parameters:
      - "method"
      - "path"
      - "parameters"
      - "capabilities"
      capabilities: []
    reason: "capabilities api requires itself to be supported"
- do:
    capabilities:
      method: "GET"
      path: "/_capabilities"
      parameters: "method,path,parameters,capabilities"
      error_trace: false
    headers:
      Content-Type: "application/vnd.elasticsearch+json;compatible-with=8"
      Accept: "application/vnd.elasticsearch+json;compatible-with=8"
    allowed_warnings_regex:
    - "Use of the \\[max_size\\] rollover condition has been deprecated in favour\
      \ of the \\[max_primary_shard_size\\] condition and will be removed in a later\
      \ version"
    - "Parameter \\[confidence_interval\\] in \\[index_options\\] for dense_vector\
      \ field \\[[^\\]]+\\] is deprecated and will be removed in a future version"
- match:
    supported: true
- do:
    capabilities:
      method: "GET"
      path: "/_capabilities"
      parameters: "unknown"
      error_trace: false
    headers:
      Content-Type: "application/vnd.elasticsearch+json;compatible-with=8"
      Accept: "application/vnd.elasticsearch+json;compatible-with=8"
    allowed_warnings_regex:
    - "Use of the \\[max_size\\] rollover condition has been deprecated in favour\
      \ of the \\[max_primary_shard_size\\] condition and will be removed in a later\
      \ version"
    - "Parameter \\[confidence_interval\\] in \\[index_options\\] for dense_vector\
      \ field \\[[^\\]]+\\] is deprecated and will be removed in a future version"
- match:
    supported: false
